Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 423681 - mail-client/nmh-1.6 version bump
Summary: mail-client/nmh-1.6 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2012-06-26 16:20 UTC by Palmer Dabbelt
Modified: 2017-10-18 08:43 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Updates mail-client/nmh to 1.5, adds prefix support (mail-client_nmh-1.5.patch,7.43 KB, patch)
2012-06-26 16:20 UTC, Palmer Dabbelt
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Palmer Dabbelt 2012-06-26 16:20:59 UTC
Created attachment 316329 [details, diff]
Updates mail-client/nmh to 1.5, adds prefix support

A few weeks ago nmh 1.5 was released

http://www.nongnu.org/nmh/

I've updated nmh-1.3.ebuild to the 1.5 sources.  Some of the patches needed updates.

The attached patch (against the current rsync ebuild) adds a mail-client/nmh-1.5.ebuild that works (I've been using it since June 11th) for me on my stable amd64 box.  I've also updated the nmh-1.5 ebuild to work with gentoo-prefix, it builds on my ~amd64-linux prefix.

The ebuild is also availiable on my overlay

http://git.overlays.gentoo.org/gitweb/?p=user/palmer.git;a=summary

nmh's metadata.xml says I should assign bugs to "in-gentoo@baka.org" and that I should CC "hwoarang@gentoo.org".  Bugzilla has greyed-out the assign field, so I've just CC'd both of them.
Comment 1 Jeroen Roovers gentoo-dev 2012-06-27 02:37:40 UTC
Please don't do that.
Comment 2 Manuel Rüger gentoo-dev 2014-07-06 18:43:10 UTC
nmh 1.6 was released on June 15th, 2014.
Comment 3 Jonas Stein gentoo-dev 2017-07-25 13:36:52 UTC
Seth, do you still maintain this?
Comment 4 Larry the Git Cow gentoo-dev 2017-10-18 08:43:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea905e49c90535186113a740193bcbc6eb8ce415

commit ea905e49c90535186113a740193bcbc6eb8ce415
Author:     Tim Harder <radhermit@gentoo.org>
AuthorDate: 2017-10-18 08:40:43 +0000
Commit:     Tim Harder <radhermit@gentoo.org>
CommitDate: 2017-10-18 08:42:45 +0000

    mail-client/nmh: version bump to 1.6
    
    Closes: https://bugs.gentoo.org/423681
    Closes: https://bugs.gentoo.org/555550
    Closes: https://bugs.gentoo.org/631662

 mail-client/nmh/Manifest                     |  1 +
 mail-client/nmh/files/nmh-1.6-m_getfld.patch | 25 ++++++++++
 mail-client/nmh/metadata.xml                 |  5 +-
 mail-client/nmh/nmh-1.6.ebuild               | 72 ++++++++++++++++++++++++++++
 4 files changed, 102 insertions(+), 1 deletion(-)